<?php
/**
 * TOP API: alibaba.alihealth.synergy.yzw.drugreport.ass.seal request
 * 
 * @author auto create
 * @since 1.0, 2025.10.22
 */
class AlibabaAlihealthSynergyYzwDrugreportAssSealRequest
{
	/** 
	 * 授权企业refEntId，报告属于该企业。不传表示没有委托场景
	 **/
	private $assRefEntId;
	
	/** 
	 * 授权单位的章信息
	 **/
	private $assSealInfo;
	
	/** 
	 * 调用企业的refEntId
	 **/
	private $refEntId;
	
	/** 
	 * 药检报告id
	 **/
	private $reportId;
	
	/** 
	 * 代理操作企业(调用企业)的章信息
	 **/
	private $selfSealInfo;
	
	/** 
	 * 三方用户标识
	 **/
	private $userId;
	
	private $apiParas = array();
	
	public function setAssRefEntId($assRefEntId)
	{
		$this->assRefEntId = $assRefEntId;
		$this->apiParas["ass_ref_ent_id"] = $assRefEntId;
	}

	public function getAssRefEntId()
	{
		return $this->assRefEntId;
	}

	public function setAssSealInfo($assSealInfo)
	{
		$this->assSealInfo = $assSealInfo;
		$this->apiParas["ass_seal_info"] = $assSealInfo;
	}

	public function getAssSealInfo()
	{
		return $this->assSealInfo;
	}

	public function setRefEntId($refEntId)
	{
		$this->refEntId = $refEntId;
		$this->apiParas["ref_ent_id"] = $refEntId;
	}

	public function getRefEntId()
	{
		return $this->refEntId;
	}

	public function setReportId($reportId)
	{
		$this->reportId = $reportId;
		$this->apiParas["report_id"] = $reportId;
	}

	public function getReportId()
	{
		return $this->reportId;
	}

	public function setSelfSealInfo($selfSealInfo)
	{
		$this->selfSealInfo = $selfSealInfo;
		$this->apiParas["self_seal_info"] = $selfSealInfo;
	}

	public function getSelfSealInfo()
	{
		return $this->selfSealInfo;
	}

	public function setUserId($userId)
	{
		$this->userId = $userId;
		$this->apiParas["user_id"] = $userId;
	}

	public function getUserId()
	{
		return $this->userId;
	}

	public function getApiMethodName()
	{
		return "alibaba.alihealth.synergy.yzw.drugreport.ass.seal";
	}
	
	public function getApiParas()
	{
		return $this->apiParas;
	}
	
	public function check()
	{
		
		RequestCheckUtil::checkNotNull($this->refEntId,"refEntId");
		RequestCheckUtil::checkNotNull($this->reportId,"reportId");
		RequestCheckUtil::checkNotNull($this->userId,"userId");
	}
	
	public function putOtherTextParam($key, $value) {
		$this->apiParas[$key] = $value;
		$this->$key = $value;
	}
}
